<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <!-- MODO 1: Foglio di stile esterno -->
    <link rel="stylesheet" href="../css/caricamento.css">
    <title>Caricamento</title>
    <!-- MODO 2: Foglio di stile interno (elemento "style") -->
    <style>
        .internal {
            color: green;
        }
    </style>
</head>

<body>
    <h1>Caricamento</h1>
    <p>Ci sono 3 modalità per utilizzare gli stili CSS all'interno di un documento:</p>
    <ol>
        <li class="external">Foglio di stile ESTERNO:<br>elemento link (all'interno dell'elemento head)</li>
        <li class="internal">Foglio di stile INTERNO:<br>elemento style (solitamente all'interno dell'elemento head)</li>
        <!-- MODO 3: Foglio di stile inline (attributo "style") -->
        <li style="color: blue;">Stile INLINE:<br>attributo style (sull'elemento html al quale si vuole applicare lo stile)</li>
    </ol>
    <p>NB: Gli stili <em>inline</em> hanno specificità più alta rispetto ai fogli di stile interi/esterni</p>
</body>

</html>